JBoss API: Interface TransactionPropagationContextFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm
Interface TransactionPropagationContextFactory

All Known Implementing Classes:
  TxManager, TyrexTransactionPropagationContextManager, ClientUserTransaction

public interface TransactionPropagationContextFactory

Implementations of this interface are used for getting a transaction propagation context at the client-side. We need a specific implementation of this interface for each kind of DTM we are going to interoperate with. (So we may have 20 new classes if we are going to interoperate with 20 different kinds of distributed transaction managers.) The reason for having the methods in this interface return Object is that we do not really know what kind of transaction propagation context is returned.

Version:
  $Revision: 1.2 $
Author:
  Ole Husgaard
See Also:
  `TransactionPropagationContextImporter`

Method Summary
`java.lang.Object` | `getTransactionPropagationContext()` Return a transaction propagation context for the transaction currently associated with the invoking thread, or `null` if the invoking thread is not associated with a transaction.
`java.lang.Object` | `getTransactionPropagationContext(javax.transaction.Transaction tx)` Return a transaction propagation context for the transaction given as an argument, or `null` if the argument is `null` or of a type unknown to this factory.

Method Detail

### getTransactionPropagationContext

    public java.lang.Object getTransactionPropagationContext()

  Return a transaction propagation context for the transaction currently associated with the invoking thread, or `null` if the invoking thread is not associated with a transaction.

### getTransactionPropagationContext

    public java.lang.Object getTransactionPropagationContext(javax.transaction.Transaction tx)

  Return a transaction propagation context for the transaction given as an argument, or `null` if the argument is `null` or of a type unknown to this factory.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.